<?php
include_once '../sys/inc/start.php';
$doc = new document();
$doc->title = 'Мини чат';






if (isset($_POST['send']) && isset($_POST['message']) && $user->group)
{
$message=text::input_text($_POST['message']);

if ($mat = is_valid::mat($message))$doc -> err('Обнаружен мат: '.$mat);
elseif ($message)
{
$user->balls ++;
mysql_query("INSERT INTO `chat_mini` (`id_user`, `time`, `message`) VALUES ('$user->id', '".TIME."', '".my_esc($message)."')");
header('Refresh: 1; url=?'.passgen().'&'.SID);
$doc->ret('Вернуться','?'.passgen());
$doc->msg('Сообщение успешно отправлено');
exit;
}
else
{
$doc->err('Сообщение пусто');
}

}

if ($user->group){
$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?'.passgen());
$elements=array();
$elements[]=array('type'=>'textarea', 'title'=>'Сообщение', 'br'=>1, 'info'=>array('name'=>'message'));
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'send', 'value'=>'Отправить')); // кнопка
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'refresh', 'value'=>'Обновить')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
}


$posts = array();
$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_mini`"), 0); // количество сообщений
$pages->this_page(); // получаем текущую страницу


$q = mysql_query("SELECT * FROM `chat_mini` ORDER BY `id` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($message=mysql_fetch_assoc($q)) {
$act = array();

if ($user->group >= 2)
$act[]=array('delete',"message.delete.php?id=$message[id]&amp;return=".URL); // удаление


$ank=new user($message['id_user']);
$posts[]=array('title'=>$ank->show().' ('.vremja($message['time']).')','icon'=>$ank->icon(),'post'=>output_text($message['message']), 'act'=>$act);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Сообщения отсутствуют');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing('?'); // вывод страниц



if ($user->group >= 3)$doc->act('Удаление сообщений','message.delete_all.php');


?>
